Bug 1852731 - Verify if opencv upstream tarball is clean
Summary: Verify if opencv upstream tarball is clean
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: opencv
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nicolas Chauvet (kwizart)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-Legal
TreeView+ depends on / blocked
 
Reported: 2020-07-01 08:00 UTC by Nicolas Chauvet (kwizart)
Modified: 2021-11-30 16:22 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-30 16:22:05 UTC
Type: Bug


Attachments (Terms of Use)

Description Nicolas Chauvet (kwizart) 2020-07-01 08:00:23 UTC
Description of problem:
Up to now we have removed some xfeature2d directories from the upstream tarball, there is a need to check from Fe-Legal if it's still needed.

Version-Release number of selected component (if applicable):
opencv 4.3.0

How reproducible:
always.

Comment 1 Nicolas Chauvet (kwizart) 2020-07-01 08:24:54 UTC
About the lena case,
I've forwarded the issue upstream
https://github.com/opencv/opencv/issues/17713

Comment 2 Nicolas Chauvet (kwizart) 2020-07-01 14:09:50 UTC
(In reply to Nicolas Chauvet (kwizart) from comment #1)
> About the lena case,
> I've forwarded the issue upstream
> https://github.com/opencv/opencv/issues/17713
Seems upstream already statued and discarded the Lena picture removal assuming (...?) it's fair use or else.

Comment 3 Nicolas Chauvet (kwizart) 2020-07-28 07:54:59 UTC
Legal reminder ?

Also I wonder what we need to do about Lena pictures for the long run. As upstream is unlikely to replace the image.

Comment 4 Ben Cotton 2020-08-11 13:44:58 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 33 development cycle.
Changing version to 33.

Comment 5 Sergio Basto 2020-08-29 00:35:41 UTC
https://github.com/opencv/opencv/issues/17461

is not just a problem of fair use , is more about 

"Whatever its merits, the Lenna image’s origin is incompatible with our community’s sincere attempts to encourage diversity and respect in Science and Technology"

Comment 6 Sergio Basto 2020-08-31 19:33:29 UTC
JFTR , Lena images still present in the sources

Comment 7 Ben Cotton 2021-11-04 17:33:52 UTC
This message is a reminder that Fedora 33 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 33 on 2021-11-30.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '33'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 33 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Ben Cotton 2021-11-30 16:22:05 UTC
Fedora 33 changed to end-of-life (EOL) status on 2021-11-30. Fedora 33 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.